mixin text-card(spec)
	- spec = spec || {}
	- spec.__class = spec.__class || ''

	.text-card(class=spec.__class)&attributes(attributes)
		
		h2.text-card__title(data-animation="slideright")= spec.title
		.text-card__content(data-animation="slideleft")
			p!= spec.desc
			a.btn.btn-primary(href= spec.url)
				span= spec.btn
				span.icon.icon-rightward
